package com.brilliance.isc.common.bopset.service;

import com.brilliance.isc.bo.model.Cfagit;
import com.brilliance.isc.common.vo.BizInfoVo;

import java.util.Map;

/**
 * @author yangxd
 * @version 1.0
 * @description: 资本项目保送
 * @data 2023/6/7 17:08
 */
public interface CfagitService {


    /**
     * 资本项目数据存储
     */
    public void cfaBopSaveData(Cfagit cfagit);

    /**
     * 设定cfa类型
     */
    public void setCfaType(String cfaType);

    /**
     * 前端数据交互
     */
    public Cfagit cfaMappingData(Cfagit cfagit);

    /**
      * @description 给数据检核用，判断当前状态下是否需要进行数据域的检核
      * @param accept  用户已确认
      * @param typ  当前交易类型 A新增 C修改 D删除
      * @return ture   需要检核;false  不需要检核
      * @date 2023/7/13 16:20
      */
    public boolean isCheckField(String accept,String typ);

    public Cfagit cfaGetDataFromGID(Cfagit cfagit);

    /**
      *根据不同业务交易，判断返回需要的信息
      * @param
      */
    public Map<String, Object> cfaGetGIDataByTrans(String transName, BizInfoVo bizInfoVo);

    /**
     * 对外担保回退删除数据库数据
     */
    public void cfagitRePair(String trninr);
}